#include <iostream>

using namespace std;

int main()
{
    int a,b,c;
    cin >> a;
    for(int i = 0 ; i < a; i++)
        cin >> b >> c;
    for(int i = 0 ; i < a; i++)
    cout << -1 <<endl;
    

    return 0;
}